=== ritz/debian/control ===
Source: ritz
Section: utils
Priority: optional
Maintainer: Vegard Vesterheim <vegard.vesterheim@uninett.no>
Build-Depends: pmake
Standards-Version: 0.9

Package: ritz
Architecture: all
Depends: ${shlibs:Depends}, scotty, tix
Description: RITZ is "Remote Interface to ZINO"
 Ritz is a TK-based user interface to ZINO.
